summaryrefslogtreecommitdiff
path: root/tests/mv/diag
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/diag')
-rwxr-xr-xtests/mv/diag70
1 files changed, 70 insertions, 0 deletions
diff --git a/tests/mv/diag b/tests/mv/diag
new file mode 100755
index 0000000..63eb3c6
--- /dev/null
+++ b/tests/mv/diag
@@ -0,0 +1,70 @@
+#!/bin/sh
+# make sure we get proper diagnostics: e.g., with --target-dir=d but no args
+
+# Copyright (C) 2000, 2004, 2006 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ mv --version
+fi
+
+# Make sure we get English translations.
+. $srcdir/../lang-default
+
+pwd=`pwd`
+tmp=diag-$$
+trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
+trap 'exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+touch f1 || framework_failure=1
+touch f2 || framework_failure=1
+touch d || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+# These mv commands should all exit nonzero.
+
+# Too few args. This first one did fail, but with an incorrect diagnostic
+# until fileutils-4.0u.
+mv --target=. >> out 2>&1 && fail=1
+mv no-file >> out 2>&1 && fail=1
+
+# Target is not a directory.
+mv f1 f2 f1 >> out 2>&1 && fail=1
+mv --target=f2 f1 >> out 2>&1 && fail=1
+
+cat > exp <<\EOF
+mv: missing file operand
+Try `mv --help' for more information.
+mv: missing destination file operand after `no-file'
+Try `mv --help' for more information.
+mv: target `f1' is not a directory
+mv: target `f2' is not a directory
+EOF
+
+cmp out exp || fail=1
+
+(exit $fail)
+exit $fail